Subject: Re: [PATCH net-next v2 0/7] netns: ease netlink use with a lot of netns

From: Nicolas Dichtel <[email-masked]>
Date: Sat, 09 May 2015 23:07:17 +0200

Le 08/05/2015 14:02, Eric W. Biederman a écrit :
>
> So I am dense.  I have read through the patches and I don't see where
> you tag packets from other network namespaces with a network namespace
> id.
In patch #7, the netns id is put in the skb cb (NETLINK_CB) in the function
do_one_broadcast().
The function netlink_cmsg_listen_all_nsid() will send this information to the
userland via a cmsg data. This function is called by netlink_recvmsg().

> In fact I don't even see an attribute that is approrpriate for such
> tagging.
The netns id is the same attribute that allows to identify a peer netns
via rtnetlink.

Regards,
Nicolas